extends Node3D


@onready var box = $CSGBox3D
@export var dds_absolute_path = "/tmp/icon.dds"


func _ready() -> void:
    var m:ORMMaterial3D = ORMMaterial3D.new()
    var f = FileAccess.open(dds_absolute_path, FileAccess.READ)
    if f:
        var buffer = f.get_buffer(f.get_length())
        var img = Image.new()
        img.load_dds_from_buffer(buffer)
        m.albedo_texture = ImageTexture.create_from_image(img)
        box.material_override = m
